## sysstat 6.0.2

=== Makefile ===
# Makefile to build sysstat commands
# (C) 1999-2005 Sebastien GODARD (sysstat <at> wanadoo.fr)

# Version
VERSION = 6.0.2

include build/CONFIG

# Compiler to use
CC = gcc
# 'ar' command
AR = ar
# Other commands
SED = sed
CHMOD = chmod
CHOWN = chown
# Full path to prevent from using aliases
CP = /bin/cp

# Directories
ifndef PREFIX
PREFIX = /usr
endif
ifndef SA_LIB_DIR
SA_LIB_DIR = /usr/lib/sa
endif
DESTDIR = $(RPM_BUILD_ROOT)
BIN_DIR = $(PREFIX)/bin
ifndef MAN_DIR
# Don't use $(PREFIX)/share/man by default: not necessarily in man path!
MAN_DIR = $(PREFIX)/man
endif
MAN1_DIR = $(MAN_DIR)/man1
MAN8_DIR = $(MAN_DIR)/man8
DOC_DIR = $(PREFIX)/doc/sysstat-$(VERSION)
NLS_DIR = $(PREFIX)/share/locale
SYSCONFIG_DIR = /etc/sysconfig

# Compiler flags
CFLAGS = -Wall -Wstrict-prototypes -pipe -O2 -fno-strength-reduce
LFLAGS = -L. -lsyscom -s
LSAFLAG = -lsyssa
SAS_DFLAGS += -DSA_DIR=\"$(SA_DIR)\" -DSADC_PATH=\"$(SADC_PATH)\"

# NLS (National Language Support)
# Package name
PACKAGE = sysstat
# The msgfmt command
MSGFMT = msgfmt

ifndef IGNORE_MAN_GROUP
MANGRPARG = -g $(MAN_GROUP)
else
MANGRPARG =
endif

# Run-command directories
ifndef RC_DIR
RC_DIR = /etc/rc.d
endif
RC2_DIR = $(RC_DIR)/rc2.d
RC3_DIR = $(RC_DIR)/rc3.d
RC5_DIR = $(RC_DIR)/rc5.d
ifndef INIT_DIR
INIT_DIR = /etc/rc.d/init.d
endif
ifndef INITD_DIR
INITD_DIR = init.d
endif

all: sa1 sa2 crontab sysstat sysstat.sysconfig sysstat.crond \
	sysstat.cron.daily sysstat.cron.hourly sysstat.crond.sample \
	sadc sar sadf iostat mpstat locales

common.o: common.c common.h ioconf.h version.h
	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<

sa_common.o: sa_common.c sa.h common.h ioconf.h
	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<

ioconf.o: ioconf.c ioconf.h
	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<

libsyscom.a: common.o ioconf.o
	$(AR) r $@ common.o ioconf.o
	$(AR) s $@

libsyssa.a: sa_common.o
	$(AR) r $@ $<
	$(AR) s $@

version.h: version.in
	$(SED) s+VERSION_NUMBER+$(VERSION)+g $< > $@

sadc.o: sadc.c sa.h common.h ioconf.h
	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $(SAS_DFLAGS) $<

sadc: sadc.o libsyscom.a libsyssa.a
	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS) $(LSAFLAG)

sar.o: sar.c sa.h common.h
	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $(SAS_DFLAGS) $<

sar: sar.o libsyscom.a libsyssa.a
	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS) $(LSAFLAG)

sadf.o: sadf.c sadf.h sa.h common.h
	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $(SAS_DFLAGS) $<

sadf: sadf.o libsyscom.a libsyssa.a
	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS) $(LSAFLAG)

iostat.o: iostat.c iostat.h common.h ioconf.h
	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<

iostat: iostat.o libsyscom.a
	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS)

mpstat.o: mpstat.c mpstat.h common.h
	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<

mpstat: mpstat.o libsyscom.a
	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS)

sa1: sa1.in
	$(SED) s+SA_LIB_DIR+$(SA_LIB_DIR)+g $< > $@
	$(CHMOD) 755 $@

sa2: sa2.in
	$(SED) -e s+BIN_DIR+$(BIN_DIR)+g -e s+SA_DIR+$(SA_DIR)+g \
		-e s+SA_LIB_DIR+$(SA_LIB_DIR)+g \
		-e s+YESTERDAY+$(YESTERDAY)+g $< > $@
	$(CHMOD) 755 $@

sysstat.sysconfig: sysstat.sysconfig.in
	$(SED) s+CONFIG_HISTORY+$(HISTORY)+g $< > $@

sysstat: sysstat.in
ifeq ($(INSTALL_CRON),y)
ifeq ($(CRON_OWNER),root)
	$(SED) -e 's+SU ++g' -e s+SA_LIB_DIR/+$(SA_LIB_DIR)/+g \
		-e 's+ QUOTE++g' -e s+INIT_DIR/+$(INIT_DIR)/+g $< > $@
else
	$(SED) -e 's+SU SA_LIB_DIR/+su $(CRON_OWNER) -c "$(SA_LIB_DIR)/+g' \
		-e 's+ QUOTE+"+g' -e s+INIT_DIR/+$(INIT_DIR)/+g $< > $@
endif
else
	$(SED) -e 's+SU ++g' -e s+SA_LIB_DIR/+$(SA_LIB_DIR)/+g \
		-e 's+ QUOTE++g' -e s+INIT_DIR/+$(INIT_DIR)/+g $< > $@
endif
	$(CHMOD) 755 $@
	
crontab: crontab.sample
	$(SED) s+SA_LIB_DIR/+$(SA_LIB_DIR)/+g $< > $@

sysstat.crond: sysstat.crond.in
	$(SED) -e s+USER+$(CRON_OWNER)+g \
		-e s+SA_LIB_DIR/+$(SA_LIB_DIR)/+g $< > $@

sysstat.crond.sample: sysstat.crond.in
	$(SED) -e s+USER+$(CRON_OWNER)+g \
		-e s+SA_LIB_DIR/+$(SA_LIB_DIR)/+g \
		-e s/^/#/ $< > $@

sysstat.cron.daily: sysstat.cron.daily.in
	$(SED) s+SA_LIB_DIR/+$(SA_LIB_DIR)/+g $< > $@

sysstat.cron.hourly: sysstat.cron.hourly.in
	$(SED) s+SA_LIB_DIR/+$(SA_LIB_DIR)/+g $< > $@

ifdef REQUIRE_NLS
locales: nls/af.gmo nls/de.gmo nls/es.gmo nls/fr.gmo nls/it.gmo nls/ja.gmo nls/nb.gmo nls/nn.gmo nls/pl.gmo nls/pt.gmo nls/ro.gmo nls/ru.gmo nls/sk.gmo
else
locales:
endif

nls/af.gmo: nls/af.po
	$(MSGFMT) -o $@ $<

nls/de.gmo: nls/de.po
	$(MSGFMT) -o $@ $<

nls/es.gmo: nls/es.po
	$(MSGFMT) -o $@ $<

nls/fr.gmo: nls/fr.po
	$(MSGFMT) -o $@ $<

nls/it.gmo: nls/it.po
	$(MSGFMT) -o $@ $<

nls/ja.gmo: nls/ja.po
	$(MSGFMT) -o $@ $<

nls/nb.gmo: nls/nb.po
	$(MSGFMT) -o $@ $<

nls/nn.gmo: nls/nn.po
	$(MSGFMT) -o $@ $<

nls/pl.gmo: nls/pl.po
	$(MSGFMT) -o $@ $<

nls/pt.gmo: nls/pt.po
	$(MSGFMT) -o $@ $<

nls/ro.gmo: nls/ro.po
	$(MSGFMT) -o $@ $<

nls/ru.gmo: nls/ru.po
	$(MSGFMT) -o $@ $<

nls/sk.gmo: nls/sk.po
	$(MSGFMT) -o $@ $<

# Phony targets
.PHONY: clean distclean config install install_base install_all uninstall \
	uninstall_base uninstall_all dist bdist squeeze

install_base: all man/sadc.8 man/sar.1 man/sadf.1 man/sa1.8 man/sa2.8 man/iostat.1
	mkdir -p $(DESTDIR)$(SA_LIB_DIR)
	mkdir -p $(DESTDIR)$(MAN1_DIR)
	mkdir -p $(DESTDIR)$(MAN8_DIR)
	mkdir -p $(DESTDIR)$(SA_DIR)
ifeq ($(CLEAN_SA_DIR),y)
	rm -f $(DESTDIR)$(SA_DIR)/sa??
endif
	mkdir -p $(DESTDIR)$(BIN_DIR)
	mkdir -p $(DESTDIR)$(DOC_DIR)
	mkdir -p $(DESTDIR)$(SYSCONFIG_DIR)
	install -m 755 sa1 $(DESTDIR)$(SA_LIB_DIR)
	install -m 644 $(MANGRPARG) man/sa1.8 $(DESTDIR)$(MAN8_DIR)
	install -m 755 sa2 $(DESTDIR)$(SA_LIB_DIR)
	install -m 644 $(MANGRPARG) man/sa2.8 $(DESTDIR)$(MAN8_DIR)
	install -m 755 sadc $(DESTDIR)$(SA_LIB_DIR)
	install -m 644 $(MANGRPARG) man/sadc.8 $(DESTDIR)$(MAN8_DIR)
	install -m 755 sar $(DESTDIR)$(BIN_DIR)
	install -m 644 $(MANGRPARG) man/sar.1 $(DESTDIR)$(MAN1_DIR)
	install -m 755 sadf $(DESTDIR)$(BIN_DIR)
	install -m 644 $(MANGRPARG) man/sadf.1 $(DESTDIR)$(MAN1_DIR)
	install -m 755 iostat $(DESTDIR)$(BIN_DIR)
	install -m 644 $(MANGRPARG) man/iostat.1 $(DESTDIR)$(MAN1_DIR)
	install -m 755 mpstat $(DESTDIR)$(BIN_DIR)
	install -m 644 $(MANGRPARG) man/mpstat.1 $(DESTDIR)$(MAN1_DIR)
	install -m 644 sysstat.ioconf $(DESTDIR)$(SYSCONFIG_DIR);
	install -m 644 CHANGES $(DESTDIR)$(DOC_DIR)
	install -m 644 COPYING $(DESTDIR)$(DOC_DIR)
	install -m 644 CREDITS $(DESTDIR)$(DOC_DIR)
	install -m 644 README  $(DESTDIR)$(DOC_DIR)
	install -m 644 FAQ     $(DESTDIR)$(DOC_DIR)
	install -m 644 *.lsm   $(DESTDIR)$(DOC_DIR)
ifdef REQUIRE_NLS
	mkdir -p $(DESTDIR)$(NLS_DIR)/af/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/de/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/es/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/fr/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/it/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/ja/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/nb/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/nn/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/pl/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/pt/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/ro/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/ru/LC_MESSAGES
	mkdir -p $(DESTDIR)$(NLS_DIR)/sk/LC_MESSAGES
	install -m 644 nls/af.gmo $(DESTDIR)$(NLS_DIR)/af/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/de.gmo $(DESTDIR)$(NLS_DIR)/de/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/es.gmo $(DESTDIR)$(NLS_DIR)/es/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/fr.gmo $(DESTDIR)$(NLS_DIR)/fr/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/it.gmo $(DESTDIR)$(NLS_DIR)/it/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/ja.gmo $(DESTDIR)$(NLS_DIR)/ja/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/nb.gmo $(DESTDIR)$(NLS_DIR)/nb/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/nn.gmo $(DESTDIR)$(NLS_DIR)/nn/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/pl.gmo $(DESTDIR)$(NLS_DIR)/pl/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/pt.gmo $(DESTDIR)$(NLS_DIR)/pt/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/ro.gmo $(DESTDIR)$(NLS_DIR)/ro/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/ru.gmo $(DESTDIR)$(NLS_DIR)/ru/LC_MESSAGES/$(PACKAGE).mo
	install -m 644 nls/sk.gmo $(DESTDIR)$(NLS_DIR)/sk/LC_MESSAGES/$(PACKAGE).mo
endif

install_all: install_base
	$(CHOWN) $(CRON_OWNER) $(DESTDIR)$(SA_DIR)
	if [ -d $(DESTDIR)/etc/cron.d ]; then \
	   install -m 644 sysstat.crond $(DESTDIR)/etc/cron.d/sysstat; \
	elif [ -d $(DESTDIR)/etc/cron.hourly -a -d $(DESTDIR)/etc/cron.daily ]; then \
	   install -m 755 sysstat.cron.hourly $(DESTDIR)/etc/cron.hourly/sysstat; \
	   install -m 755 sysstat.cron.daily $(DESTDIR)/etc/cron.daily/sysstat; \
	else \
	   su $(CRON_OWNER) -c "crontab -l > /tmp/crontab-$(CRON_OWNER).save"; \
	   $(CP) -a /tmp/crontab-$(CRON_OWNER).save ./crontab-$(CRON_OWNER).`date '+%Y%m%d.%H%M%S'`.save; \
	   echo "USER PREVIOUS CRONTAB SAVED IN CURRENT DIRECTORY (USING .save SUFFIX)."; \
	   su $(CRON_OWNER) -c "crontab crontab"; \
	fi
	if [ -d $(DESTDIR)$(INIT_DIR) ]; then \
	   install -m 755 sysstat $(DESTDIR)$(INIT_DIR)/sysstat; \
	   cd $(DESTDIR)$(RC2_DIR) && ln -sf ../$(INITD_DIR)/sysstat S03sysstat; \
	   cd $(DESTDIR)$(RC3_DIR) && ln -sf ../$(INITD_DIR)/sysstat S03sysstat; \
	   cd $(DESTDIR)$(RC5_DIR) && ln -sf ../$(INITD_DIR)/sysstat S03sysstat; \
	elif [ -d $(DESTDIR)$(RC_DIR) ]; then \
	   install -m 755 sysstat $(DESTDIR)$(RC_DIR)/rc.sysstat; \
	   [ -d $(DESTDIR)$(RC2_DIR) ] || mkdir -p $(DESTDIR)$(RC2_DIR); \
	   [ -d $(DESTDIR)$(RC3_DIR) ] || mkdir -p $(DESTDIR)$(RC3_DIR); \
	   [ -d $(DESTDIR)$(RC5_DIR) ] || mkdir -p $(DESTDIR)$(RC5_DIR); \
	   cd $(DESTDIR)$(RC2_DIR) && ln -sf ../rc.sysstat S03sysstat; \
	   cd $(DESTDIR)$(RC3_DIR) && ln -sf ../rc.sysstat S03sysstat; \
	   cd $(DESTDIR)$(RC5_DIR) && ln -sf ../rc.sysstat S03sysstat; \
	fi
	install -m 644 sysstat.sysconfig $(DESTDIR)$(SYSCONFIG_DIR)/sysstat

uninstall_base:
	rm -f $(DESTDIR)$(SA_LIB_DIR)/sadc
	rm -f $(DESTDIR)$(MAN8_DIR)/sadc.8
	rm -f $(DESTDIR)$(SA_LIB_DIR)/sa1
	rm -f $(DESTDIR)$(MAN8_DIR)/sa1.8
	rm -f $(DESTDIR)$(SA_LIB_DIR)/sa2
	rm -f $(DESTDIR)$(MAN8_DIR)/sa2.8
	rm -f $(DESTDIR)$(BIN_DIR)/sar
	rm -f $(DESTDIR)$(MAN1_DIR)/sar.1
	rm -f $(DESTDIR)$(BIN_DIR)/sadf
	rm -f $(DESTDIR)$(MAN1_DIR)/sadf.1
	rm -f $(DESTDIR)$(BIN_DIR)/iostat
	rm -f $(DESTDIR)$(MAN1_DIR)/iostat.1
	rm -f $(DESTDIR)$(BIN_DIR)/mpstat
	rm -f $(DESTDIR)$(MAN1_DIR)/mpstat.1
	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(SA_LIB_DIR)
	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(SA_DIR)
#	No need to keep sysstat script, config file and links since
#	the binaries have been deleted.
	rm -f $(DESTDIR)$(INIT_DIR)/sysstat
	rm -f $(DESTDIR)$(RC_DIR)/rc.sysstat
	rm -f $(DESTDIR)$(SYSCONFIG_DIR)/sysstat
	rm -f $(DESTDIR)$(SYSCONFIG_DIR)/sysstat.ioconf
	rm -f $(DESTDIR)$(RC2_DIR)/S03sysstat
	rm -f $(DESTDIR)$(RC3_DIR)/S03sysstat
	rm -f $(DESTDIR)$(RC5_DIR)/S03sysstat
#	Vixie cron entries also can be safely deleted here
	rm -f $(DESTDIR)/etc/cron.d/sysstat
#	Id. for Slackware cron entries
	rm -f $(DESTDIR)/etc/cron.hourly/sysstat
	rm -f $(DESTDIR)/etc/cron.daily/sysstat
#	Remove locale files
	rm -f $(DESTDIR)$(PREFIX)/share/locale/af/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/ja/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/nb/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/nn/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/pl/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/pt/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/ro/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/ru/LC_MESSAGES/$(PACKAGE).mo
	rm -f $(DESTDIR)$(PREFIX)/share/locale/sk/LC_MESSAGES/$(PACKAGE).mo
	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/af/LC_MESSAGES
	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES

## sysstat 6.1.3

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,13 @@
 # Makefile to build sysstat commands
-# (C) 1999-2005 Sebastien GODARD (sysstat <at> wanadoo.fr)
+# (C) 1999-2006 Sebastien GODARD (sysstat <at> wanadoo.fr)
 
 # Version
-VERSION = 6.0.2
+VERSION = 6.1.3
 
 include build/CONFIG
 
 # Compiler to use
 CC = gcc
-# 'ar' command
-AR = ar
 # Other commands
 SED = sed
 CHMOD = chmod
@@ -38,8 +36,7 @@
 
 # Compiler flags
 CFLAGS = -Wall -Wstrict-prototypes -pipe -O2 -fno-strength-reduce
-LFLAGS = -L. -lsyscom -s
-LSAFLAG = -lsyssa
+LFLAGS = -s
 SAS_DFLAGS += -DSA_DIR=\"$(SA_DIR)\" -DSADC_PATH=\"$(SADC_PATH)\"
 
 # NLS (National Language Support)
@@ -68,26 +65,30 @@
 INITD_DIR = init.d
 endif
 
+.SUFFIXES: .po .gmo
+
+%.gmo: %.po
+	$(MSGFMT) -o $@ $<
+
+%.o: %.c
+	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<
+
+% : %.o
+	$(CC) -o $@ $(CFLAGS) $^ $(LFLAGS)
+
 all: sa1 sa2 crontab sysstat sysstat.sysconfig sysstat.crond \
 	sysstat.cron.daily sysstat.cron.hourly sysstat.crond.sample \
 	sadc sar sadf iostat mpstat locales
 
-common.o: common.c common.h ioconf.h version.h
-	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<
+common.o: common.c version.h common.h ioconf.h
 
 sa_common.o: sa_common.c sa.h common.h ioconf.h
-	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<
 
 ioconf.o: ioconf.c ioconf.h
-	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<
-
-libsyscom.a: common.o ioconf.o
-	$(AR) r $@ common.o ioconf.o
-	$(AR) s $@
-
-libsyssa.a: sa_common.o
-	$(AR) r $@ $<
-	$(AR) s $@
+
+libsyscom.a: libsyscom.a(common.o) libsyscom.a(ioconf.o)
+
+libsyssa.a: libsyssa.a(sa_common.o)
 
 version.h: version.in
 	$(SED) s+VERSION_NUMBER+$(VERSION)+g $< > $@
@@ -96,31 +97,25 @@
 	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $(SAS_DFLAGS) $<
 
 sadc: sadc.o libsyscom.a libsyssa.a
-	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS) $(LSAFLAG)
+	$(CC) -o $@ $(CFLAGS) $^ $(LFLAGS)
 
 sar.o: sar.c sa.h common.h
 	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $(SAS_DFLAGS) $<
 
 sar: sar.o libsyscom.a libsyssa.a
-	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS) $(LSAFLAG)
 
 sadf.o: sadf.c sadf.h sa.h common.h
 	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $(SAS_DFLAGS) $<
 
 sadf: sadf.o libsyscom.a libsyssa.a
-	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS) $(LSAFLAG)
 
 iostat.o: iostat.c iostat.h common.h ioconf.h
-	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<
 
 iostat: iostat.o libsyscom.a
-	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS)
 
 mpstat.o: mpstat.c mpstat.h common.h
-	$(CC) -o $@ -c $(CFLAGS) $(DFLAGS) $<
 
 mpstat: mpstat.o libsyscom.a
-	$(CC) -o $@ $(CFLAGS) $< $(LFLAGS)
 
 sa1: sa1.in
 	$(SED) s+SA_LIB_DIR+$(SA_LIB_DIR)+g $< > $@
@@ -174,48 +169,9 @@
 locales:
 endif
 
-nls/af.gmo: nls/af.po
-	$(MSGFMT) -o $@ $<
-
-nls/de.gmo: nls/de.po
-	$(MSGFMT) -o $@ $<
-
-nls/es.gmo: nls/es.po
-	$(MSGFMT) -o $@ $<
-
-nls/fr.gmo: nls/fr.po
-	$(MSGFMT) -o $@ $<
-
-nls/it.gmo: nls/it.po
-	$(MSGFMT) -o $@ $<
-
-nls/ja.gmo: nls/ja.po
-	$(MSGFMT) -o $@ $<
-
-nls/nb.gmo: nls/nb.po
-	$(MSGFMT) -o $@ $<
-
-nls/nn.gmo: nls/nn.po
-	$(MSGFMT) -o $@ $<
-
-nls/pl.gmo: nls/pl.po
-	$(MSGFMT) -o $@ $<
-
-nls/pt.gmo: nls/pt.po
-	$(MSGFMT) -o $@ $<
-
-nls/ro.gmo: nls/ro.po
-	$(MSGFMT) -o $@ $<
-
-nls/ru.gmo: nls/ru.po
-	$(MSGFMT) -o $@ $<
-
-nls/sk.gmo: nls/sk.po
-	$(MSGFMT) -o $@ $<
-
 # Phony targets
 .PHONY: clean distclean config install install_base install_all uninstall \
-	uninstall_base uninstall_all dist bdist squeeze
+	uninstall_base uninstall_all dist bdist
 
 install_base: all man/sadc.8 man/sar.1 man/sadf.1 man/sa1.8 man/sa2.8 man/iostat.1
 	mkdir -p $(DESTDIR)$(SA_LIB_DIR)
@@ -354,3 +310,14 @@
 	rm -f $(DESTDIR)$(PREFIX)/share/locale/sk/LC_MESSAGES/$(PACKAGE).mo
 	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/af/LC_MESSAGES
 	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/ja/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/nb/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/nn/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/pl/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/pt/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/ro/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/ru/LC_MESSAGES
+	-rmdir --ignore-fail-on-non-empty $(DESTDIR)$(PREFIX)/share/locale/sk/LC_MESSAGES

## sysstat 9.0.6.1

=== debian/changelog ===
sysstat (9.0.6.1-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format:
    + split *.diff.gz into patches 00 to 06;
    + omit some debugging cruft that was included in *.diff.gz by accident.
  * 07-remove_fdatasync.patch: remove calls to fdatasync (closes: 559686).

 -- Robert Luberda <robert@debian.org>  Tue, 23 Mar 2010 22:21:52 +0100

sysstat (9.0.6.1-1) unstable; urgency=low

  * New upstream release.
  * sysstat.initd: add $remote_fs dependency (linitan).
  * Remove asterisks from sysstat.NEWS (lintian).
  * copyright: refer to non-symlinked GPL files (lintian). 
  * Standards-Version: 3.8.4 (no changes).
  * Ignore erros from `update-alternatives --display' (closes: #563570).

 -- Robert Luberda <robert@debian.org>  Thu, 11 Mar 2010 15:37:21 +0100

sysstat (9.0.6-2) unstable; urgency=low

  * Remove both stop link from rc1.d, and the lintian override 
    (closes: #562660).
  * Fix spelling typo in isag(1).

 -- Robert Luberda <robert@debian.org>  Sun, 03 Jan 2010 15:00:37 +0100

sysstat (9.0.6-1) unstable; urgency=low

  * New upstream release:
    + sadf improved (closes: #546259).
  * Install a new sargraph script into examples.

 -- Robert Luberda <robert@debian.org>  Sat, 21 Nov 2009 21:34:09 +0100

sysstat (9.0.5-1) unstable; urgency=low

  * New upstream release.
  * Add an override for `init.d-script-possible-missing-stop' lintian's 
    warning.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Sep 2009 09:04:11 +0200

sysstat (9.0.4-1) unstable; urgency=low

  * New upstream release
    + memory corruption bug fixed by upstream (closes: #507659).
  * Standards-Version: 3.8.3.
  * Remove deprecated dh_desktop call from debian/rules.

 -- Robert Luberda <robert@debian.org>  Tue, 18 Aug 2009 06:29:03 +0200

sysstat (9.0.3-2) unstable; urgency=low

  * Remove some debugging cruft left by accident.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 21:37:20 +0200

sysstat (9.0.3-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.1 (no changes)
  * Update Brazilian Portuguese debconf translation (closes: #519253).
  * Support status action in init.d script (closes: #526051).
  * Mention cron.daily's job in README.Debian (closes: #524219).

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 09:38:31 +0200

sysstat (9.0.1-1) unstable; urgency=low

  * New upstream release:
    + sar man page now mentions dependencies on sadc options (closes: #518438).
  * Makefile.in: don't update sysstat.pot in clean. 

 -- Robert Luberda <robert@debian.org>  Sun, 08 Mar 2009 19:01:43 +0100

sysstat (9.0.0-1) unstable; urgency=low

  * New upstream release.
  * sa_common.c: fixed double-free.
  * Fixed typo in Polish translation of debconf templates.
  * Makefile.in: don't automatically update sysstat.pot file.

 -- Robert Luberda <robert@debian.org>  Sat, 07 Mar 2009 23:11:46 +0100

sysstat (8.1.8-2) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #513671
  * Debconf translation updates:
    - Galician. Closes: #514162
    - Swedish. Closes: #514174
    - Basque. Closes: #514178
    - Vietnamese. Closes: #514308
    - Slovak. Closes: #514383
    - Czech. Closes: #514440
    - Japanese. Closes: #514507
    - Catalan. Closes: #514638
    - Russian. Closes: #514895
    - Italian. Closes: #515169
    - German. Closes: #515680
    - Spanish. Closes: #515723
    - Portuguese. Closes: #516021
    - French. Closes: #516077
    - Finnish. Closes: #516334

  [ Robert Luberda ]
  * Applied Christian's patch from bug#513671. Many thanks to him, and all
    the people who worked on improving the debconf templates.
  * Updated Polish debconf translations.
  * debian/copyright: sysstat is distributed under the terms of GPL ver. 2
    *or later* (fixes lintian's `copyright-refers-to-versionless-license...').

 -- Robert Luberda <robert@debian.org>  Sun, 22 Feb 2009 20:25:20 +0100

sysstat (8.1.8-1) unstable; urgency=low

  * New upstream release.
  * Add debian-sa1 script and ran it from cron.d job (closes: #499461). 
  * If sar cannot open a data file, print a message indicating that sysstat
    might not be enabled (closes: #511418).
  * Remove stop links from rc0 and rc6 run levels (cf. #495545).
  * Remove the "sysstat not enabled" warning from out init script (closes:
    #507493).
  * Switch to v7 debhelper's compat level, use dh_prep instead of `dh_clean -k'.

 -- Robert Luberda <robert@debian.org>  Mon, 19 Jan 2009 23:01:18 +0100

sysstat (8.1.7-1) unstable; urgency=low

  * New upstream release.

 -- Robert Luberda <robert@debian.org>  Thu, 13 Nov 2008 19:46:29 +0100

sysstat (8.1.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Nov 2008 09:11:06 +0100

sysstat (8.1.6-1) experimental; urgency=low

  * New upstream release:
    + Daily data files format has changed again.
    + NFS v4 support added to sar -n (closes: #434442);
    + All sysstat commands are made consistent with how parameters are 
      interpreted: "COMMAND <interval>" now generates a report continuously, 
      "COMMAND <interval> 0" causes an error, "COMMAND 0" displays a report 
      since system startup (closes: #475707);
   + Option -S added to sadc, which replaces previous options -I or -d. Existing
     defaults file should be updated.
  * Standards-Version: 3.8.0 (no changes).
  * Merge the following change from Ubuntu:
    - remove call to execvp() as it's not needed and has potential
      security problems.
  * 

 -- Robert Luberda <robert@debian.org>  Sat, 01 Nov 2008 10:36:17 +0100

sysstat (8.1.2-2) unstable; urgency=low

  * Initial Finnish translations of debconf templates (closes: #472620).
  * Update isag dependency from `tk8.3|wish' to `tk8.5|wish'
  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Apr 2008 17:59:13 +0200



=== debian/control ===
Source: sysstat
Section: admin
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 7), gettext
Standards-Version: 3.8.4

Package: sysstat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 2.003), lsb-base (>= 3.0-6), bzip2
Recommends: cron
Suggests: isag
Conflicts: atsar (<< 1.5-3)
Description: system performance tools for Linux
 The sysstat package contains the following system performance tools:
  - sar: collects and reports system activity information;
  - iostat: reports CPU utilization and disk I/O statistics;
  - mpstat: reports global and per-processor statistics;
  - pidstat: reports statistics for Linux tasks (processes);
  - sadf: displays data collected by sar in various formats.
 .
 The statistics reported by sar deal with I/O transfer rates,
 paging activity, process-related activities, interrupts,
 network activity, memory and swap space utilization, CPU
 utilization, kernel activities and TTY statistics, among
 others. Both UP and SMP machines are fully supported.
Homepage: http://pagesperso-orange.fr/sebastien.godard/

Package: isag
Architecture: all
Depends: sysstat (>= ${source:Version}), tk8.5|wish, gnuplot-x11, ${misc:Depends}
Suggests: rcs
Description: Interactive System Activity Grapher for sysstat
 This package provides the command isag, which graphically displays the
 system activity data stored in the binary logs produced by sar (in the
 package sysstat).
Homepage: http://pagesperso-orange.fr/sebastien.godard/

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 1476 2010-01-02 10:33:42Z robert $
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DH_ALWAYS_EXCLUDE=CVS:.svn


DESTDIR=$(CURDIR)/debian/tmp

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS 		:= -g -O2
else
	CFLAGS 		:= -g -O0
endif


build: build-stamp
build-stamp:
	dh_testdir


	./configure --prefix=/usr 			\
		    --mandir=/usr/share/man		\
		    --enable-smp-race			\
		    --enable-yesterday			\
		    --disable-man-group			\
		    --disable-compress-manpg		\
		    sa_lib_dir=/usr/lib/sysstat		\
		    sa_dir=/var/log/sysstat		\
		    conf_dir=/etc/sysstat		\
		    CFLAGS="$(CFLAGS)"			\
		    LDFLAGS="$(LDFLAGS)"		

	# Add here commands to compile the package.
	$(MAKE)

	chmod a+x debian/debian-sa1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install_base DESTDIR="$(DESTDIR)"

	mkdir -p -m 755 $(DESTDIR)/usr/lib/sysstat
	mv $(DESTDIR)/usr/bin/sar $(DESTDIR)/usr/bin/sar.sysstat
	mv $(DESTDIR)/usr/share/man/man1/sar.1 $(DESTDIR)/usr/share/man/man1/sar.sysstat.1
	rm -rf $(DESTDIR)/usr/doc

	dh_install

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
	dh_installinit --no-start -- start 20 2 3 4 5 . 
#	dh_installman
	dh_installcron
#	dh_installinfo
#	dh_undocumented

	sh debian/fix.sh $(PACKAGE)

	dh_lintian
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	dh_installchangelogs -i
	 $(MAKE) -f debian/rules DH_OPTIONS=-i PACKAGE=isag binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	dh_installchangelogs -a CHANGES
	$(MAKE) -f debian/rules DH_OPTIONS=-a PACKAGE=sysstat binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install

=== debian/watch ===
# control file for the uscan(1) tool
version=2
http://pagesperso-orange.fr/sebastien.godard/download.html \
	(?:.*perso.*/)sysstat-([\d\.]+)\.tar\.gz

## sysstat 9.1.7

=== debian/changelog ===
sysstat (9.1.7-2ubuntu1) natty; urgency=low

  * debian/patches/cflags-ordering.patch: Re-arrange CFLAGS in 
    ./Makefile.in to resolve FTBFS. (LP: #716043)
  * debian/control: Updated maintainer, as per policy.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 09 Feb 2011 17:10:56 +0000

sysstat (9.1.7-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    + call dpkg-buildflags for initial values of CFLAGS & LDFLAGS;
    + use dh_auto_{configure,install,clean} debhelper commands;
    + provide build-arch and build-indep targets.
  * Updated 00-Makefile.patch to make it possible to install isag only.
  * 09-format-warning.patch: Fix a warning given by gcc -Wformat.

 -- Robert Luberda <robert@debian.org>  Mon, 07 Feb 2011 20:57:05 +0100

sysstat (9.1.7-1) experimental; urgency=low

  * New upstream development release.
  * Format of data files has changed again (BTW. the debconf message
    was already fixed in 8.1.8-2, (LP: #342655)).
  * Refresh patches. Also rename 05-scripts.patch to 08-scripts.patch.

 -- Robert Luberda <robert@debian.org>  Wed, 19 Jan 2011 22:07:33 +0100

sysstat (9.1.5-1) experimental; urgency=low

  * New upstream development release.
  * Standards-Version: 3.9.1 (no changes).
  * Bump debhpelper's compat level to 8.
  * Remove conflict with ancient version of atsar.
  * Add libsensors-dev4 to build-depends.

 -- Robert Luberda <robert@debian.org>  Sun, 12 Sep 2010 16:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: sysstat
 Section: admin
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 7), gettext
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Build-Depends: debhelper (>= 8), gettext, libsensors4-dev
+Standards-Version: 3.9.1
 
 Package: sysstat
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 2.003), lsb-base (>= 3.0-6), bzip2
 Recommends: cron
 Suggests: isag
-Conflicts: atsar (<< 1.5-3)
 Description: system performance tools for Linux
  The sysstat package contains the following system performance tools:
   - sar: collects and reports system activity information;

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 1511 2011-02-07 19:58:27Z robert $
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DH_ALWAYS_EXCLUDE=CVS:.svn

DH_AUTO_OPTIONS := -v -Sautoconf --parallel
DESTDIR         := $(CURDIR)/debian/tmp
CFLAGS          := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS         := $(shell dpkg-buildflags --get LDFLAGS)


configure: configure-stamp
configure-stamp:
	dh_testdir

	dh_auto_configure $(DH_AUTO_OPTIONS) --         \
	            --enable-yesterday                  \
	            --disable-man-group                 \
	            --disable-compress-manpg            \
	            sa_lib_dir=/usr/lib/sysstat         \
	            sa_dir=/var/log/sysstat             \
	            conf_dir=/etc/sysstat               \
	            CFLAGS="$(CFLAGS)"                  \
	            LDFLAGS="$(LDFLAGS)"
	touch "$@"



build-arch: build-arch-stamp
build-arch-stamp: configure

	dh_auto_build $(DH_AUTO_OPTIONS)

	chmod a+x debian/debian-sa1

	touch "$@"



build-indep: build-indep-stamp
build-indep-stamp: configure

	dh_auto_build $(DH_AUTO_OPTIONS) -- contrib/isag/isag

	touch "$@"



clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-arch-stamp build-indep-stamp config.log

	[ ! -f Makefile ] || dh_auto_clean $(DH_AUTO_OPTIONS)

	dh_clean


install-common install-arch install-indep: DH_OPTIONS=
install-common:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

install-arch: build-arch install-common

	dh_auto_install $(DH_AUTO_OPTIONS) --destdir="$(DESTDIR)"

	mkdir -p -m 755 $(DESTDIR)/usr/lib/sysstat
	mv $(DESTDIR)/usr/bin/sar $(DESTDIR)/usr/bin/sar.sysstat
	mv $(DESTDIR)/usr/share/man/man1/sar.1 $(DESTDIR)/usr/share/man/man1/sar.sysstat.1
	rm -rf $(DESTDIR)/usr/doc

	dh_installchangelogs -a CHANGES

install-indep: build-indep install-common

	$(MAKE) DESTDIR="$(DESTDIR)" install_isag

	dh_installchangelogs -i


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_install
#	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
	dh_installinit --no-start -- start 20 2 3 4 5 .
#	dh_installman
	dh_installcron
#	dh_installinfo
#	dh_undocumented

	sh debian/fix.sh `dh_listpackages`

	dh_lintian
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
build:  build-indep  build-arch

.PHONY: configure clean                                         \
	build-indep   build-arch   build                        \
	binary-indep  binary-arch  binary-common  binary        \
	indeall-indep install-arch install-common

.DEFAULT_GOAL := binary

## sysstat 10.0.1

=== debian/changelog ===
sysstat (10.0.1-1) unstable; urgency=low

  * New upstream (stable) release.
  * Add Danish translation of debconf templates (closes: #621367).
  * Standards-Version: 3.9.2 (no changes).
  * sysstat.{postinst,postrm}: register the ucf-managed file with ucfr.
  * Sort dependency fields with wrap-and-sort command.

 -- Robert Luberda <robert@debian.org>  Wed, 15 Jun 2011 07:27:46 +0200

sysstat (10.0.0-1) unstable; urgency=low

  * New upstream (stable) release:
    + Don't link sysstat's commands with sensors library if not
      needed (closes: #612571).
    + [Adam Heath]: iostat incorrectly mapped device-mapper IDs
      greater than 256. This is now fixed (closes: #614397).
  * debian/rules: switch to using dh command.
  * Remove 07-remove_fdatasync.patch, no longer needed. 

 -- Robert Luberda <robert@debian.org>  Wed, 23 Mar 2011 13:26:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: sysstat
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 8), gettext, libsensors4-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: sysstat
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ucf (>= 2.003), lsb-base (>= 3.0-6), bzip2
+Depends: bzip2,
+         lsb-base (>= 3.0-6),
+         ucf (>= 2.003),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: cron
 Suggests: isag
 Description: system performance tools for Linux
@@ -28,7 +31,10 @@
 
 Package: isag
 Architecture: all
-Depends: sysstat (>= ${source:Version}), tk8.5|wish, gnuplot-x11, ${misc:Depends}
+Depends: gnuplot-x11,
+         sysstat (>= ${source:Version}),
+         tk8.5|wish,
+         ${misc:Depends}
 Suggests: rcs
 Description: Interactive System Activity Grapher for sysstat
  This package provides the command isag, which graphically displays the

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=CVS:.svn

DH_AUTO_OPTIONS := -v -Sautoconf --parallel
DESTDIR         := $(CURDIR)/debian/tmp
CFLAGS          := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS         := $(shell dpkg-buildflags --get LDFLAGS)


build: export MISSING_BUILD_DEPS := $(shell dpkg-checkbuilddeps 2>&1)
binary binary-arch binary-indep build build-arch build-indep clean:
	dh ${@}

ifneq ($(shell dh_listpackages),$(shell dh_listpackages -i))  # arch:any packages are built
override_dh_auto_build:   debian/build-arch.stamp

override_dh_auto_install: install-arch
endif

ifneq ($(shell dh_listpackages),$(shell dh_listpackages -a)) # arch:all packages are built
  ifneq (,$(MISSING_BUILD_DEPS))
    $(warning $(MISSING_BUILD_DEPS))
    $(warning Postponing build of architecture independent files until binary or binary-indep target is called)
  else
override_dh_auto_build:   debian/build-indep.stamp
  endif
override_dh_auto_install: install-indep
endif

override_dh_auto_configure: debian/configure.stamp

override_dh_auto_clean:
	rm -f debian/*.stamp config.log
	[ ! -f Makefile ] || dh_auto_clean $(DH_AUTO_OPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs -a CHANGES
	dh_installchangelogs -i

override_dh_installinit:
	dh_installinit --no-start -- start 20 2 3 4 5 .

override_dh_compress:
	set -ex; for p in $(shell dh_listpackages) ; do sh debian/fix.sh $$p; done
	dh_compress

debian/configure.stamp:
	dh_auto_configure $(DH_AUTO_OPTIONS) --         \
	            --enable-yesterday                  \
	            --disable-man-group                 \
	            --disable-compress-manpg            \
	            sa_lib_dir=/usr/lib/sysstat         \
	            sa_dir=/var/log/sysstat             \
	            conf_dir=/etc/sysstat               \
	            CFLAGS="$(CFLAGS)"                  \
	            LDFLAGS="$(LDFLAGS)"
	touch "$@"

debian/build-arch.stamp: debian/configure.stamp
	dh_auto_build $(DH_AUTO_OPTIONS)
	touch "$@"


debian/build-indep.stamp: debian/configure.stamp
	dh_auto_build $(DH_AUTO_OPTIONS) -- contrib/isag/isag
	touch "$@"

install-arch: debian/build-arch.stamp
	dh_auto_install $(DH_AUTO_OPTIONS) --destdir="$(DESTDIR)"
	
	mkdir -p -m 755 $(DESTDIR)/usr/lib/sysstat
	mv $(DESTDIR)/usr/bin/sar $(DESTDIR)/usr/bin/sar.sysstat
	mv $(DESTDIR)/usr/share/man/man1/sar.1 $(DESTDIR)/usr/share/man/man1/sar.sysstat.1
	rm -rf $(DESTDIR)/usr/doc


install-indep: debian/build-indep.stamp
	$(MAKE) DESTDIR="$(DESTDIR)" install_isag


.PHONY: binary binary-arch binary-indep build build-arch build-indep clean \
	override_dh_auto_build override_dh_auto_install override_dh_auto_clean \
	override_dh_auto_configure override_dh_installchangelogs override_dh_installinit \
	override_dh_compress install-arch install-indep

## sysstat 10.0.2

=== debian/changelog ===
sysstat (10.0.2-2) unstable; urgency=low

  * Update Dutch translation of debconf templates (closes: #643308).

 -- Robert Luberda <robert@debian.org>  Sun, 16 Oct 2011 23:24:15 +0200

sysstat (10.0.2-1) unstable; urgency=low

  * New upstream (stable) release.
  * debian/control: Set architecture to linux-any (closes: #619949).
  * The debconf message has already been ixed in 8.1.8-2, (LP: #342655).

 -- Robert Luberda <robert@debian.org>  Sun, 28 Aug 2011 19:50:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.2
 
 Package: sysstat
-Architecture: any
+Architecture: linux-any
 Depends: bzip2,
          lsb-base (>= 3.0-6),
          ucf (>= 2.003),

## sysstat 10.0.3

=== debian/changelog ===
sysstat (10.0.3-1) unstable; urgency=low

  * New upstream (stable) release.
  * Switch to devhelper v9.
  * debian/control: Add VCS fields, update source/options.
  * debian/rules: remove .pc/.dpkg-source-unapply file in configure target
    to fix broken behaviour of dpkg-buildpackage (see Bug#649521).


 -- Robert Luberda <robert@debian.org>  Sat, 03 Dec 2011 17:38:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 8), gettext, libsensors4-dev
+Build-Depends: debhelper (>= 8.9.8), gettext, libsensors4-dev
 Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/users/robert/sysstat.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/sysstat.git
 
 Package: sysstat
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ifneq ($(shell dh_listpackages),$(shell dh_listpackages -i))  # arch:any packages are built
 override_dh_auto_build:   debian/build-arch.stamp
 
-override_dh_auto_install: install-arch
+override_dh_auto_install: install-arch-files
 endif
 
 ifneq ($(shell dh_listpackages),$(shell dh_listpackages -a)) # arch:all packages are built
@@ -25,7 +25,7 @@
   else
 override_dh_auto_build:   debian/build-indep.stamp
   endif
-override_dh_auto_install: install-indep
+override_dh_auto_install: install-indep-files
 endif
 
 override_dh_auto_configure: debian/configure.stamp
@@ -46,6 +46,7 @@
 	dh_compress
 
 debian/configure.stamp:
+	rm -f .pc/.*unapply # see bug#649521
 	dh_auto_configure $(DH_AUTO_OPTIONS) --         \
 	            --enable-yesterday                  \
 	            --disable-man-group                 \
@@ -66,7 +67,7 @@
 	dh_auto_build $(DH_AUTO_OPTIONS) -- contrib/isag/isag
 	touch "$@"
 
-install-arch: debian/build-arch.stamp
+install-arch-files: debian/build-arch.stamp
 	dh_auto_install $(DH_AUTO_OPTIONS) --destdir="$(DESTDIR)"
 	
 	mkdir -p -m 755 $(DESTDIR)/usr/lib/sysstat
@@ -75,11 +76,11 @@
 	rm -rf $(DESTDIR)/usr/doc
 
 
-install-indep: debian/build-indep.stamp
+install-indep-files: debian/build-indep.stamp
 	$(MAKE) DESTDIR="$(DESTDIR)" install_isag
 
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean \
 	override_dh_auto_build override_dh_auto_install override_dh_auto_clean \
 	override_dh_auto_configure override_dh_installchangelogs override_dh_installinit \
-	override_dh_compress install-arch install-indep
+	override_dh_compress install-arch-files install-indep-files

## sysstat 10.0.5

=== debian/changelog ===
sysstat (10.0.5-1) unstable; urgency=low

  * New upstream (stable) version.
  * debian/control: Document the cifsiostat and nfsiostat tools in sysstat
    package description (closes: #667618).
  * debian-sa1, sysstat.cron.daily, sysstat.postinst, 04-configs.patch,
    sysstat.init.d: Remove Debian-specific SA1_OPTIONS and SA2_OPTIONS
    variables, use upstream-provided SADC_OPTIONS instead. Provide a
    sysstat.NEWS entry for the change.

 -- Robert Luberda <robert@debian.org>  Sun, 20 May 2012 11:14:47 +0200

sysstat (10.0.4-1) unstable; urgency=low

  * New upstream (stable) version.
  * Update build-dependencies on debhelper.
  * Standards-Version: 3.9.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 13 Mar 2012 22:59:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 8.9.8), gettext, libsensors4-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), gettext, libsensors4-dev
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/users/robert/sysstat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/sysstat.git
 
@@ -22,7 +22,9 @@
   - iostat: reports CPU utilization and disk I/O statistics;
   - mpstat: reports global and per-processor statistics;
   - pidstat: reports statistics for Linux tasks (processes);
-  - sadf: displays data collected by sar in various formats.
+  - sadf: displays data collected by sar in various formats;
+  - nfsiostat: reports I/O statistics for network filesystems;
+  - cifsiostat: reports I/O statistics for CIFS filesystems.
  .
  The statistics reported by sar deal with I/O transfer rates,
  paging activity, process-related activities, interrupts,

## sysstat 10.1.6

=== debian/changelog ===
sysstat (10.1.6-2) unstable; urgency=low

  [ Louis Bouchard ]
  * New 11-fix-concurrency-build-issue.patch: Extend explicit rules 
    to avoid build issues occurring during parallel build (closes: #714153).

 -- Robert Luberda <robert@debian.org>  Thu, 01 Aug 2013 08:41:15 +0200

sysstat (10.1.6-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Thu, 13 Jun 2013 22:27:39 +0200

sysstat (10.1.5-2) unstable; urgency=low

  * Upload to unstable.
  * New 10-isag-menu-refresh.patch: Add Refresh button to file menu to make
    it possible to re-read contents of /var/log/sysstat directory in case
    isag is running over midnight, and new file is created (LP: #924197).
    Please note that (depending on /etc/sysstat/sysstat settings) the new file
    created just after midnight can be replaced with a symbolic link, so it
    might be necessary to use the Refresh button again in such cases.
  * Standards-Version: 3.9.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 10 May 2013 10:34:59 +0200

sysstat (10.1.5-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Apr 2013 12:36:24 +0200

sysstat (10.1.4-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Sun, 24 Mar 2013 11:05:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 9), gettext, libsensors4-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/users/robert/sysstat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/sysstat.git

## sysstat 10.2.0

=== debian/changelog ===
sysstat (10.2.0-1) unstable; urgency=low

  * New upstream stable version.
  * debian/control:
    + replace `tk8.5' with `tk' in isag depends line (closes: #725696);
    + move `Homepage' to source package fields (lintian);
    + bump Standards-Version to 3.9.5.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Nov 2013 10:25:19 +0100

sysstat (10.1.7-1) unstable; urgency=low

  * New upstream version.
  * Remove no longer needed 11-fix-concurrency-build-issue.patch.

 -- Robert Luberda <robert@debian.org>  Sat, 21 Sep 2013 22:27:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 9), gettext, libsensors4-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Homepage: http://pagesperso-orange.fr/sebastien.godard/
 Vcs-Git: git://anonscm.debian.org/users/robert/sysstat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/sysstat.git
 
@@ -31,17 +32,15 @@
  network activity, memory and swap space utilization, CPU
  utilization, kernel activities and TTY statistics, among
  others. Both UP and SMP machines are fully supported.
-Homepage: http://pagesperso-orange.fr/sebastien.godard/
 
 Package: isag
 Architecture: all
 Depends: gnuplot-x11,
          sysstat (>= ${source:Version}),
-         tk8.5|wish,
+         tk|wish,
          ${misc:Depends}
 Suggests: rcs
 Description: Interactive System Activity Grapher for sysstat
  This package provides the command isag, which graphically displays the
  system activity data stored in the binary logs produced by sar (in the
  package sysstat).
-Homepage: http://pagesperso-orange.fr/sebastien.godard/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 DH_AUTO_OPTIONS := -v -Sautoconf --parallel
 DESTDIR         := $(CURDIR)/debian/tmp
-CFLAGS          := $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS          := $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS         := $(shell dpkg-buildflags --get LDFLAGS)

=== debian/watch ===
# control file for the uscan(1) tool
version=3
http://pagesperso-orange.fr/sebastien.godard/download.html \
	(?:.*perso.*/)sysstat-([\d\.]+)\.tar\.bz2
